#pragma once
#include <vector>
#include "dXgtcFrame.h"
#include <map>
#include <fstream>
#include <sstream>
#include <string>
#include <algorithm>

class Maxmin
{
public:
	Maxmin(uint16_t &pocetOnu, int16_t _pocetAllocId);
	Maxmin::Maxmin();	
	~Maxmin();
	std::vector<AllocStruc> Maxmin::generujBwmapu(double _cas, std::vector<uint32_t> _obsazenostFrontOnu, std::vector<uint8_t>* _dbruNastaveno);
	void vygenerujStatistikyBwMap();
private:
	int16_t Bl;
	std::vector<std::map<double, uint16_t>> casGenerovaniGrantuMaxMin;	
	uint16_t pocetAllocId;
	uint16_t fixedBw;		
	uint16_t assuredBW;
	uint16_t pocetOnu;
	std::vector<std::vector<uint16_t>> vygenerovaneGranty;
};